/*
 * Description
 *         HBASAMPLE.C - Header file for sample HBA API compliant vendor library
 *
 * Author
 *         Benjamin F. Kuo, Troika Networks, Inc. (benk@troikanetworks.com)
 *
 * Copyright (c) 2000 Troika Networks, Inc. All Rights Reserved.
 * 
 * Troika Networks, Inc., hereby grants a non-exclusive license under Troika Networks'
 * copyright to copy, modify and distribute this software for any purpose
 * and without fee, provided that the above copyright notice and the
 * following paragraphs appear on all copies.
 * 
 * Troika Networks, Inc.. makes no representation that this source code 
 * is correct or is an accurate representation of any standard.
 * 
 * IN NO EVENT SHALL TROIKA NETWORKS HAVE ANY LIABILITY FOR ANY DIRECT, INDIRECT, OR
 * SPECULATIVE DAMAGES, (INCLUDING WITHOUT LIMITING THE FORGOING,
 * CONSEQUENTIAL, INCIDENTAL AND SPECIAL DAMAGES) INCLUDING, BUT NOT 
 * LIMITED TO INFRINGEMENT, LOSS OF USE, BUSINESS INTERRUPTIONS, AND LOSS 
 * OF PROFITS, IRRESPECTIVE OF WHETHER TROIKA NETWORKS HAS ADVANCE NOTICE OF THE 
 * POSSIBILITY OF ANY SUCH DAMAGES.
 * 
 * TROIKA NETWORKS INC. SPECIFICALLY DISCLAIMS ANY WARRANTIES INCLUDING, BUT 
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR 
 * A PARTICULAR PURPOSE AND NON-INFRINGEMENT.  THE SOFTWARE PROVIDED 
 * HEREUNDER IS ON AN "AS IS" BASIS AND TROIKA NETWORKS INC HAS NO 
 * OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS OR 
 * MODIFICATIONS.
 * 
 *************************************************************************** 
 */
#ifdef WIN32
#ifdef HBASAMPLE_EXPORTS
#define HBASAMPLE_API __declspec(dllexport)
#else
#define HBASAMPLE_API __declspec(dllimport)
#endif
#else
#define HBASAMPLE_API
#endif


HBASAMPLE_API HBA_STATUS HBA_RegisterLibrary( PHBA_ENTRYPOINTS entrypoints );
